View Issue Details

IDProjectCategoryView StatusLast Update
0000235PluginsMultiArc (old)public2007-07-16 16:06
ReporterRaistlinAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000235: Не распознаётся zip-архив
DescriptionНе распознаётся архив http://www.promise.com/support/file/utility/3_WebPAM_Installer.zip
TagsNo tags attached.

Activities

Raistlin

2006-08-22 03:56

reporter   bugnote:0000266

Похоже, из-за того, что он многотомный.

vskirdin

2006-12-12 10:32

administrator   bugnote:0000347

Хе. Хотел послать на... TechInfo#63 :-)
Но, расположение требуемой сигнатуры этого архива (в сааамом конце файла) не укладывается в указанный диапазон - "Диапазон от 0x1000 до 0x80000".
Здесь как раз бы 4метра указать, но не судьба.

Какое разумное верхнее органичение ставить?

Raistlin

2006-12-12 10:41

reporter   bugnote:0000348

Такое, чтобы по крайней мере этот файл распознался :-) Или как раз не судьба?

vskirdin

2006-12-12 10:48

administrator   bugnote:0000350

судьба судьба...
сейчас стоит вот такое ограничение:

  if(Opt.PluginMaxReadData < 0x1000 || Opt.PluginMaxReadData > 0x80000)
    Opt.PluginMaxReadData=0x20000;

Вот и спрашиваю - верхний предел какой делать?
такой, чтобы какой-нить неразумный малый не залудил что-нить эдакаое, а потом... оры, сопли и все такое...

Raistlin

2006-12-12 11:04

reporter   bugnote:0000351

А если убрать ограничение вообще, чтобы можно было через TechInfo поставить любое - но в описании TechInfo пояснить возможные последствия от установки ненормальных значений?

vskirdin

2006-12-12 11:12

administrator   bugnote:0000352

текст в студию :-)

Raistlin

2006-12-12 11:39

reporter   bugnote:0000353

Что-то типа: "Внимание! Установка слишком большого значения может привести к нестабильной работе Far". Вопрос следующий - что считать этим самым значением, как оно соотносится с объёмом RAM машины и зависит ли вероятность падения от плагинов, которым будут передаваться считанные данные.

vskirdin

2006-12-13 05:33

administrator   bugnote:0000354

см. после 2154.
верхний предел снят; для распознавания файла рекомендуется выставлять 0x3FFFFF

Issue History

Date Modified Username Field Change
2006-08-22 03:54 Raistlin New Issue
2006-08-22 03:56 Raistlin Note Added: 0000266
2006-12-12 10:32 vskirdin Note Added: 0000347
2006-12-12 10:41 Raistlin Note Added: 0000348
2006-12-12 10:48 vskirdin Note Added: 0000350
2006-12-12 11:04 Raistlin Note Added: 0000351
2006-12-12 11:12 vskirdin Note Added: 0000352
2006-12-12 11:39 Raistlin Note Added: 0000353
2006-12-13 05:31 vskirdin Status new => assigned
2006-12-13 05:31 vskirdin Assigned To => vskirdin
2006-12-13 05:33 vskirdin Status assigned => resolved
2006-12-13 05:33 vskirdin Fixed in Version => 1.71
2006-12-13 05:33 vskirdin Resolution open => fixed
2006-12-13 05:33 vskirdin Note Added: 0000354
2007-07-16 16:06 alexy Status resolved => closed
2013-05-21 00:38 alexy Category MultiArc => MultiArc (old)